@import url("https://fonts.googleapis.com/css2?family=Cabin:wght@600&family=Poppins:ital,wght@0,300;0,400;0,600;1,600&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: poppins, sogoe ui, sans-serif;
}

:root {
  --primary: #a005a0;
  --secondary: #110f3a;
  --blue: #036cd6;
  --text: #05386b;
}
h1 {
  font-size: 35px;
  color: var(--primary) !important;
  font-weight: 600 !important;
}

h1 span {
  display: block;
  width: 170px;
  height: 2px;
  background: var(--secondary) !important;
  text-align: center !important;
  margin: 6px auto;
  position: relative;
}

h1 span:after {
  position: absolute;
  content: "";
  width: 50px;
  height: 6px;
  background: var(--blue) !important;
  bottom: -2px;
  left: 35%;
  border-radius: 2px;
}

p {
  color: var(--text);
}

#preLoader {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  height: 100vh;
  width: 100%;
  background: var(--secondary);
  z-index: 100;
  transition: 0.3s;
}

.header-area {
  width: 100%;
  background-image: linear-gradient(#1d8bf962, #1d8bf95c), url("../img/bg.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  padding-bottom: 100px;
}

.logo {
  color: #05386b !important;
  font-weight: 600;
  font-size: 28px !important;
}
.navbar-toggler {
  border: none !important;
}
.navbar-toggler .line {
  display: block;
  width: 28px;
  height: 3px;
  margin: 5px;
  background: var(--primary);
  transition: all 0.2s ease-in;
}
/* classes for javascript onclick function */
.bar:nth-child(1) {
  transform: rotate(44deg) translate(9px, 3px);
}
.navbar-toggler:focus .bar:nth-child(2) {
  opacity: 0;
}
.bar:nth-child(3) {
  transform: rotate(-47deg) translate(9px, -2px);
}
.navbar-toggler:focus {
  box-shadow: none !important;
}

/* nav list  */
.nav-item {
  position: relative;
}
.nav-link {
  color: var(--text) !important;
  /* text-transform: uppercase; */
  position: relative;
  padding: 3px 6px !important;
  border-radius: 5px;
}
.nav-item:hover .nav-link {
  background: var(--primary);
  color: #fff !important;
  animation: animate 2s linear infinite;
}
@keyframes animate {
  0% {
    transform: translate(0);
  }
  25% {
    transform: translate(5px);
  }
  50% {
    transform: translate(0);
  }
  75% {
    transform: translate(5px);
  }
  100% {
    transform: translate(0);
  }
}

a.active,
.active:hover {
  background: var(--primary);
  color: #fff !important;
}

.download_btn {
  display: none !important;
}
.download_btn:hover a {
  color: white !important;
}

/* Main header section */
.main-section {
  height: 88%;
  display: flex;
  justify-content: center;
  align-items: center !important;
}

.headerContent .demo h1 {
  font-size: 29px;
}
.headerContent .demo span {
  color: var(--primary);
  font-weight: 600;
  font-size: 36px;
  border-right: 2px solid #110f3a;
  clear: both !important;
  height: 30px;
}

.headerContent .demo p {
  color: var(--text);
}
.headerContent .demo a {
  display: inline-block;
  border: none;
  outline: none;
  padding: 6px 12px;
  border-radius: 5px;
  background: var(--primary);
  color: #fff;
  margin-top: 20px;
  transition: all 0.3s;
  text-decoration: none;
}
.demo .hire-me {
  margin-left: 1rem !important;
}
.headerContent .demo a:hover {
  transform: translateY(-4px);
  box-shadow: 0 8px 16px var(--secondary);
  background: var(--secondary);
}

.link {
  margin-left: 110px;
}
.link a {
  background: none;
  border-radius: 5px;
  transition: all 0.3s;
}
.link a:hover {
  background: transparent;
}

.link a i {
  font-size: 30px;
  color: var(--secondary);
  transition: all 0.3s;
}
.link a i:hover {
  transform: translateY(-0.3rem);
}
@media only screen and (min-width: 992px) {
  .headerContent .demo {
    width: 80%;
  }
  .link {
    margin-left: 75px !important;
  }
  .download_btn {
    display: block !important;
  }
}

@media only screen and (max-width: 992px) {
  .nav-link {
    font-size: 22px !important;
  }
  .nav-link {
    padding: 6px 6px !important;
  }
  .headerContent .demo span {
    display: block;
    margin-bottom: 1em;
    border: none;
  }
  .link {
    margin-left: 75px !important;
  }
}

@media only screen and (max-width: 768px) {
  .header-title {
    margin-top: 38px !important;
  }
  .headerContent .demo span {
    display: block;
    margin-bottom: 1em;
    border: none;
  }
}

@media only screen and (max-width: 410px) {
  .headerContent .demo span {
    font-size: 28px;
    border: none;
  }
  .header-title {
    margin-top: 38px !important;
  }
  .link {
    margin-left: 85px;
  }
  .main-section .demo {
    width: 90%;
    margin: auto !important;
  }
}

@media only screen and (max-width: 340px) {
  .main-section .demo {
    margin-left: 2rem !important;
  }
  .headerContent .demo span {
    font-size: 28px;
    border: none;
  }
  .link {
    margin-left: 77px;
  }
  .main-section .demo {
    margin: 0 auto !important;
  }
}

@media only screen and (max-width: 303px) {
  .headerContent .demo button {
    width: 100%;
  }
  .headerContent .demo button:nth-child(2) {
    margin: 0 !important;
  }
  .demo .hire-me {
    margin-left: 0 !important;
  }
}

/* about section */

.about_section {
  position: relative;
  width: 100%;
  padding-bottom: 80px;
}
.about_section::before {
  position: absolute;
  content: "";
  width: 100%;
  height: 100px;
  background-image: url(../img/wave1.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  margin-top: -100px;
}
@media only screen and (min-width: 1200px) {
  .about_section::before {
    height: 150px;
    margin-top: -150px;
  }
}

.about_me h1 {
  margin-top: 50px;
  text-align: center;
}
.about_me h3 {
  font-size: 24px;
  font-weight: 600;
  color: var(--secondary);
  margin-bottom: 20px;
  text-align: center;
}
.about_me p {
  text-align: justify;
}
.about_me p span {
  font-size: 20px;
  font-weight: 600;
}
.about_me a {
  text-decoration: none;
  color: #fff;
  padding: 8px 12px;
  border-radius: 5px;
  background: var(--primary);
  display: inline-block;
  margin-top: 10px;
  transition: 0.3s;
}

.about_me a:hover {
  transform: translateY(-4px);
  box-shadow: 0 8px 16px var(--secondary);
  background: var(--secondary);
}
.image_wrapper {
  width: 220px;
  height: 220px;
  border-radius: 50%;
  box-shadow: 0 0 3px 3px var(--primary), 0 0 5px 5px var(--primary),
    0 0 7px 7px var(--primary), 0 0 10px 10px var(--primary);
  transition: 0.3s;
}
.image_shape {
  background-image: url(../img/Shapes.png);
}
.image_wrapper .image_box {
  width: 220px;
  height: 220px;
  transition: 0.3s;
}

.image_box img {
  border-radius: 50%;
  transition: 0.3s;
}
.image_wrapper:hover .image_box img {
  transform: scale(1.1);
}

@media only screen and (max-width: 768px) {
  .about_me h1 {
    margin-top: 0;
  }
  .image_shape {
    margin-top: 60px !important;
  }
  .image_wrapper,
  .image_wrapper .image_box {
    width: 300px;
    height: 300px;
  }
  .image_wrapper:hover {
    width: 350px;
    height: 350px;
  }
}
@media only screen and (max-width: 410px) {
  .image_wrapper,
  .image_wrapper .image_box {
    width: 260px;
    height: 260px;
  }
  .image_wrapper:hover {
    width: 280px;
    height: 280px;
  }
  .image_wrapper:hover .image_box img {
    transform: scale(1);
  }
  .about_me h3 {
    font-size: 18px;
  }
  .about_section h1 {
    font-size: 25px;
  }
  .image_shape {
    background-size: contain;
    background-position: center;
  }
  .about_me {
    width: 95% !important;
    margin: auto !important;
  }
}
@media only screen and (max-width: 303px) {
  .about_me a {
    width: 100%;
  }
  .about_me .btn {
    margin-left: 0 !important;
  }
}

/* skills section */
.skill_section {
  background: #f8f9fa;
  padding-bottom: 50px;
  position: relative;
}

.skill_section h1 {
  color: var(--primary);
  font-weight: 600;
}
.skill_section h1 span {
  display: block;
  width: 170px;
  height: 2px;
  background: var(--text);
  text-align: center !important;
  margin: 6px auto;
  position: relative;
}
.skill_section h1 span::after {
  position: absolute;
  content: "";
  width: 50px;
  height: 6px;
  background: var(--blue);
  bottom: -2px;
  left: 35%;
  border-radius: 2px;
}

.design i,
.technology i,
.responsive i {
  font-size: 40px;
  color: var(--secondary);
  font-weight: 700 !important;
  text-align: center;
  margin-right: 30px;
}
.technology i {
  font-size: 23px !important;
}
.design h3,
.technology h3,
.responsive h3 {
  font-weight: 700 !important;
  color: var(--blue);
}
.design p,
.technology p,
.responsive p {
  font-size: 14px;
}
.design,
.technology,
.responsive {
  margin-top: 15px;
}
.skills {
  margin-top: 10px !important;
  width: 90%;
}
.bg {
  background: #ffffff;
  border-radius: 10px;
  position: relative;
  box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
  transition: 0.3s;
  margin-top: 20px;
  padding: 4px 0;
}
.bg h3,
.bg span {
  z-index: 1;
  margin: 0;
  font-weight: 600;
  font-size: 15px;
}
.bg h3 {
  color: #e4e4e4;
}
.bg span {
  color: var(--primary);
  /* padding:2px; */
}
.progress_bar {
  width: 0;
  height: 100%;
  background: var(--blue);
  border-radius: 10px;
  position: absolute;
  left: 0;
  transition: 0.2s ease-out;
}

#tailwind_count,
#react_count {
  width: 22px;
  height: 22px;
  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  border-top: 4px solid var(--primary) !important;
  border: 4px solid var(--blue);
  animation: rotate 1.5s linear infinite;
  animation-delay: 0.7s;
}

@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}

@media only screen and (max-width: 768px) {
  .skills {
    width: 100%;
  }
}

@media only screen and (max-width: 348px) {
  .design p,
  .technology p,
  .responsive p {
    font-size: 13px;
  }
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
  .bg:nth-child(1) {
    margin-top: 0;
  }
  .bg {
    margin-top: 33px;
  }
}

/* Service section */
.service_section {
  position: relative;
  padding-bottom: 80px;
  background-image: linear-gradient(#1d8bf947, #1d8bf940);
}
.service_section::before {
  position: absolute;
  content: "";
  width: 100%;
  height: 100px;
  background: url(../img/wave2.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
@media only screen and (min-width: 1200px) {
  .service_section::before {
    height: 150px;
  }
}
.service_section h1 {
  margin-top: 100px !important;
}
.service_section h1 span {
  display: block;
  width: 220px;
  height: 2px;
  background: var(--secondary) !important;
  text-align: center !important;
  margin: 6px auto;
  position: relative;
}

.service_card {
  background: #fff !important;
  padding: 15px 0 40px;
  transition: 0.3s;
  border-radius: 5px;
  margin: 0 auto !important;
}
.service_card:hover {
  transform: translateY(-4px);
  box-shadow: 0 8px 16px var(--secondary);
  background: var(--secondary) !important;
}
.service_card:hover .icon {
  box-shadow: 0 0 5px var(--blue), 0 0 6px var(--blue), 0 0 7px var(--blue),
    0 0 8px var(--blue), 0 0 9px var(--blue), 0 0 10px var(--blue);
}
.service_card:hover .icon i {
  color: #fff;
  transform: rotate(360deg);
}

.service_card:hover h5 {
  color: var(--primary);
}
.service_card:hover p {
  color: #fff;
}
.service_card .icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 30px;
  height: 30px;
  margin: auto;
  padding: 20px !important;
  border-radius: 50%;
  box-shadow: 0 0 5px var(--blue), 0 0 6px var(--blue);
  transition: 0.3s;
  margin-bottom: 15px;
}
.service_card .icon i {
  font-size: 30px;
  color: var(--primary);
  transition: 0.3s;
}

.service_card h5 {
  color: var(--blue);
  margin-bottom: 15px;
  font-weight: 600;
}
.service_card p {
  font-size: 16px;
  line-height: 1.15rem;
  margin-bottom: 35px;
}
.service_card button {
  text-decoration: none;
  padding: 6px 12px !important;
  background: var(--primary);
  color: #fff;
  border-radius: 3px;
  font-size: 16px;
  transition: 0.3s;
  text-align: center !important;
}
.service_card button i {
  font-size: 13px !important;
  transition: 0.3s;
}
.service_card button:hover i {
  transform: translate(6px);
}
.service_card button:hover {
  background: var(--blue);
}

.popup_box {
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%) scale(0);
  background: #ffffff !important;
  padding: 10px;
  transition: 0.3s;
  border-radius: 5px;
  margin: 0 auto !important;
  z-index: 999;
  box-shadow: 0 8px 16px var(--secondary);
  opacity: 0;
  pointer-events: none;
  transition: 0.3s;
}
.animate_popup {
  transform: scale(1);
  transform: translate(-50%, -50%);
  opacity: 1;
  pointer-events: fill;
}
.popup_box h4 {
  margin-bottom: 20px;
  color: var(--blue);
  font-weight: 600;
}
.popup_box h6 {
  font-size: 15px;
  color: #585858;
}
.popup_box .list_box ul li {
  font-size: 17px !important;
}
.popup_box .list_box ul li i {
  color: var(--blue);
  margin-right: 10px;
}

/*  alert box */
.altertBox {
  position: fixed;
  background: #f1f1f1;
  z-index: 1;
  top: -80px;
  left: 50%;
  transform: scale(0) translate(-50%, -50%);
  padding: 30px 25px;
  width: 300px;
  transition: 0.5s;
}
.alert-content .bar {
  width: 100%;
  height: 5px;
  background: var(--primary);
  display: block;
  position: absolute;
  bottom: 0;
  left: 0;
}
.alert-content .line {
  position: absolute;
  display: block;
  width: 100%;
  height: 2px;
  left: 0;
  top: 30px;
  box-shadow: #00000029 0px 1px 01px;
}
.alert-content h5 {
  margin-top: 20px;
  line-height: 1.5rem;
  font-size: 17px;
}

.alert-content i {
  position: absolute;
  right: 5px;
  top: 0;
  padding: 5px;
  font-size: 20px;
  color: var(--blue);
  cursor: pointer;
  transition: 0.3s;
}
.alert-content i:hover {
  transform: rotate(90deg) scale(1.2);
}
/* project section */

.project_btn button {
  border: none;
  outline: none;
  padding: 6px 12px;
  border-radius: 5px;
  background: var(--primary);
  color: #fff;
  margin-top: 20px;
  transition: all 0.3s;
}

.project_btn button:hover {
  box-shadow: 0 8px 16px var(--secondary);
  background: var(--secondary);
}

.active-filter {
  background: var(--secondary) !important;
}

/* for trigger button*/

.trigger_button {
  cursor: pointer;
  transition: 0.5s;
  z-index: 100;
  opacity: 0;
  pointer-events: none;
  transition: 0.3s;
}

.trigger_button:hover a {
  background: var(--primary);
}
.trigger_button a {
  display: block;
  background: var(--primary);
  padding: 5px 10px;
  border-radius: 50%;
  text-decoration: none;
}
.trigger_button a i {
  color: #fff;
  font-size: 18px;
}

.active_trigger {
  bottom: 50px;
  right: 20px;
  opacity: 1;
  pointer-events: auto;
  animation: trigger 3s forwards;
  transition: 0.3s;
}
@keyframes trigger {
  100% {
    opacity: 0.2;
  }
}
.active_trigger:hover {
  opacity: 1 !important;
}
.hide_trigger {
  top: 20px;
  right: -20px;
  opacity: 0;
  pointer-events: none;
  transition: 0.3s;
}

.img-galary {
  background-image: linear-gradient(#1d8bf947, #1d8bf940);
  border-radius: 10px;
  padding: 20px;
}
.img-container {
  padding: 10px;
  transition: 0.5s;
  margin-bottom: 10px;
}
.img-container img {
  height: 100%;
  transition: 0.3s;
  border-radius: 5px;
}
.img-container:hover img {
  filter: brightness(50%);
  transform: scale(0.8) rotate(-30deg);
}

.img_container {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  opacity: 0;
  pointer-events: none;
  background: rgba(0, 0, 0, 0.909);
  transition: 0.3s;
  z-index: 1;
}
.img_container .img-box {
  display: flex;
  width: 80%;
  height: 60%;
  justify-content: center;
  align-items: center;
  position: relative;
}
.img-box img {
  width: auto;
  max-height: 100%;
}

.img_container i {
  position: absolute;
  color: var(--primary);
  top: 20px;
  right: 25px;
  font-size: 26px;
  cursor: pointer;
  transition: 0.1s;
}
.img_container i:hover {
  transform: scale(1.2) rotate(90deg);
}

.img-galary h2 {
  color: #800606d0;
}

/* contact section */

.contact-section {
  background-image: linear-gradient(#1d8bf947, #1d8bf940), url(/img/Shape.png);
  background-repeat: no-repeat;
  background-position: right top;
  background-size: auto;
  padding-bottom: 60px;
}

.contact-section form {
  border-radius: 5px;
  padding: 30px 0;
  background: #fff;
}
form .input-box {
  position: relative;
  display: inline-block;
  width: 90%;
  margin-bottom: 25px;
}
form .input-box:nth-child(4) {
  margin-bottom: 0;
}
form .input-box button,
form textarea,
form .input-box input {
  position: relative;
  border: none;
  outline: none;
  box-shadow: 0 0 2px var(--blue);
  border-radius: 5px;
  padding: 10px 5px;
  width: 100%;
  display: inline-block;
  color: var(--text);
  font-size: 14px;
}
#errorMessage {
  margin-top: 15px;
  border-radius: 5px;
  background: #ff000069;
  color: #ff0000da;
  font-size: 14px;
}

form .input-box span {
  position: absolute;
  left: 5px;
  top: 7px;
  padding: 0 3px;
  transition: all 0.3s;
  pointer-events: none;
  background: #fff;
  border-radius: 4px;
  color: var(--primary);
}
form textarea {
  resize: none;
}

form .input-box input:focus ~ span,
form .input-box input:valid ~ span,
form .input-box textarea:focus ~ span,
form .input-box textarea:valid ~ span {
  transform: translateY(-14px);
  font-size: 12px;
}
.content {
  width: 300px;
  height: 200px;
  padding: 5px 10px;
  background: #f6f5f5;
  box-shadow: 0 0 5px var(--blue);
  border-radius: 5px;
  display: none;
}
.content i {
  font-size: 50px;
  color: var(--blue);
  margin-top: -30px;
}
.content h6 {
  margin-top: 20px;
  font-size: 18px;
}
.content button {
  border: none;
  outline: none;
  padding: 8px 36px;
  background: var(--blue);
  border-radius: 3px;
  color: #fff;
  margin-top: 32px;
  transition: 0.3s;
}
.content button:hover {
  background: var(--text);
}

/* footer area */
footer {
  background: var(--secondary);
  padding-bottom: 20px;
}
footer h1 {
  color: var(--blue) !important;
}
footer p {
  color: #fff;
}
footer a {
  display: inline-block;
  text-decoration: none;
  background: var(--blue);
  color: #fff;
  padding: 5px 8px;
  border-radius: 5px;
  transition: 0.3s;
  margin-top: 10px;
  font-weight: 600;
}
footer a:hover {
  background: var(--primary);
}
.contact-link a {
  transition: 0.5s;
}

.footer-end p a {
  background: none;
  color: var(--blue);
}
.footer-end p a:hover {
  color: var(--blue) !important;
}
